summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/krb5/krb5.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/network/krb5/krb5.SlackBuild b/network/krb5/krb5.SlackBuild
index 233c43482f..be4f332e4b 100644
--- a/network/krb5/krb5.SlackBuild
+++ b/network/krb5/krb5.SlackBuild
@@ -83,12 +83,8 @@ cat $CWD/config/kerberos.sh > $PKG/etc/profile.d/kerberos.sh
cat $CWD/config/kerberos.csh > $PKG/etc/profile.d/kerberos.csh
chmod 0755 $PKG/etc/profile.d/*
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/kerberos/man
find . -type f -exec gzip -9 {} \;